import typer
from zona import builder

app = typer.Typer()


@app.command()
def discover(in_dir: str | None = None):
    out_dir = ""
    if in_dir is None:
        in_dir = "."
    _ = builder.discover(in_dir, out_dir)


@app.command()
def init():
    # init will populate the current directory with
    # the required folders and their default values
    print("Init logic here...")


def main():
    app()
